﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS540 (1 yr) Aux Trig In Sens IEEE /9500+2Hd
DATE:                  2009-12-02 11:03:46
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       121
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds540_1yr_aux_in_trig_sens_ieee_9500_600_2hd.txt,v $
#    $Date: 2009/11/13 22:38:01 $
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 500
#          TDS 540
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        95_4ck_1_aux.jpg  Picture: 9500 CH 1 to UUT CH 1, CH 4 to Aux trig in
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         TRIG SENSITIVITY TESTS
  1.002  RSLT         =
  1.003  HEAD         -2{ AUX IN TRIG: (DC Coupled, 50 MHz)}
  1.004  TARGET
  1.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  1.006  IEEE2        CH[V @Chan]:IMP FIF;SCA 100E-3
  1.007  IEEE2        ACQ:MODE AVE;NUMAV 16;STATE ON
  1.008  IEEE2        HOR:MAI:SCA 25.0E-9
  1.009  IEEE2        HOR:MOD MAIN
  1.010  IEEE2        TRIG:MAI:MOD NORM;TYP EDGE
  1.011  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  1.012  IEEE2        TRIG:MAI:EDGE:SLO RISE
  1.013  IEEE2        TRIG:MAI SETL
  1.014  IEEE2        MEASU:METH MINM
  1.015  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE AMPL;STATE ON

  1.016  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  1.017  PIC          95_4ck_1_aux.jpg
  1.018  DISP         The next routine operator intervention occurs
  1.018  DISP         in approximately 1 minutes ...
  1.019  IEEE2        TRIG:MAI SETL
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 250 mV (100 mV/div, 2.5 div).
  1.020  MATH         RefLev = 250
  1.021  MATH         MEM = RefLev; MEM1 = MEM

  1.022  DO
  1.023  MATH         MEM = MEM1 + (RefLev - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.024  IF           MEM > 5560 || MEM < 4.44
  1.025  MATH         MEM = RefLev
  1.026  ENDIF

  1.027  9500         mVpp                         50MH           LS    S  L

  1.028  DO
  1.029  IEEE2        [D500]TRIG:MAI SETL
  1.030  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  1.031  UNTIL        @Triggered

  1.032  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
  1.033  MATH         MEM = MEM / 1E-3
  1.034  UNTIL        (MEM >= (RefLev - 2)) && (MEM <= (RefLev + 2))

  1.035  IEEE2        TRIG:MAI:EDGE:SOU AUX
  1.036  MATH         @AmplVpp = MEM1 * 1E-3
  1.037  MATH         @StepVal = (RefLev / 100) * 1E-3
  1.038  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
  1.039  MATH         TrigLevel = FMT(RefLev, "%.0f")
  1.040  MEM2         = Rising Slope, Limit: [V TrigLevel] mV @ 50 MHz
  1.041  EVAL   -e @TrigStable : [MEM2]

  2.001  MATH         MEM = @AmplVpp / 1E-3
  2.002  9500         mVpp                         50MH           LS    S  L
  2.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
  2.004  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
  2.005  MEM2         = Falling Slope, Limit: [V TrigLevel] mV @ 50 MHz
  2.006  EVAL   -e @TrigStable : [MEM2]

  3.001  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  3.002  HEAD         -2
  3.003  9500         *                                                 S
  3.004  M9500        *

  3.005  END
